@keyframes textAnimation {
  0% {
    opacity: 0;
    transform: scale(0.8);
  }

  50% {
    opacity: 1;
    transform: scale(1);
  }

  100% {
    opacity: 0;
    transform: scale(1.2);
  }
}

.header-text {
  text-align: center;
  color: #292929;
  margin-bottom: 20px;
  /* animation: textAnimation 3s infinite; */
}

.header {
  background-color: #003366;
  /* background: linear-gradient(to right, #ffa31a, #ff9900); */
  padding: 10px;
  color: white;
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header .title {
  font-size: 15px;
  text-transform: uppercase;
}

.menu {
  position: relative;
}

.menu .menu-icon {
  cursor: pointer;
  font-size: 24px;
}

.menu .dropdown-content {
  display: none;
  position: absolute;
  right: 0;
  background-color: white;
  min-width: 205px;
  box-shadow: 0px 8px 16px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.menu .dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: flex;
  align-items: center;
}

.menu .dropdown-content a:hover {
  background-color: #ddd;
}

.menu .dropdown-content i {
  margin-right: 10px;
}

/* Fade in effect for dropdown */
.dropdown-content.fade-in {
  display: block;
  animation: fadeIn 0.3s;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

body {
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  background-color: #fff;
  /* background-image: radial-gradient(
      circle at 28% 90%,
      rgba(113, 113, 113, 0.03) 0%,
      rgba(113, 113, 113, 0.03) 24%,
      transparent 24%,
      transparent 100%
    ),
    radial-gradient(
      circle at 84% 65%,
      rgba(173, 173, 173, 0.03) 0%,
      rgba(173, 173, 173, 0.03) 45%,
      transparent 45%,
      transparent 100%
    ),
    radial-gradient(
      circle at 46% 12%,
      rgba(141, 141, 141, 0.03) 0%,
      rgba(141, 141, 141, 0.03) 22%,
      transparent 22%,
      transparent 100%
    ),
    radial-gradient(
      circle at 26% 14%,
      rgba(119, 119, 119, 0.03) 0%,
      rgba(119, 119, 119, 0.03) 35%,
      transparent 35%,
      transparent 100%
    ),
    radial-gradient(
      circle at 81% 90%,
      rgba(42, 42, 42, 0.03) 0%,
      rgba(42, 42, 42, 0.03) 40%,
      transparent 40%,
      transparent 100%
    ),
    radial-gradient(
      circle at 28% 100%,
      rgba(234, 234, 234, 0.03) 0%,
      rgba(234, 234, 234, 0.03) 56%,
      transparent 56%,
      transparent 100%
    ),
    linear-gradient(90deg, rgb(255, 255, 255), rgb(255, 255, 255)); */
}

.container {
  max-width: 400px;
  margin-top: 50px;
  flex: 1;
}

.logo {
  text-align: center;
  margin-bottom: 20px;
}

.logo img {
  width: 100%;
}

/* Button Row Styles */
.button-row {
  display: flex;
  justify-content: space-between;
}

.button-row .btn {
  flex: 1;
  margin-right: 10px;
  color: white;
  border-radius: 20px;
  padding: 10px;
  transition: background-color 0.3s ease, box-shadow 0.3s ease;
  font-size: 16px;
}

.button-row .btn:last-child {
  margin-right: 0;
}

.btn-login {
  background: linear-gradient(135deg, orange, orangered);
  border: none;
  transition: background-color 0.3s ease, box-shadow 0.3s ease; /* Smooth transition */
}

.btn-login:hover {
  background: linear-gradient(135deg, orangered, orange); /* Lighter gradient */
  /* box-shadow: 0px 5px 15px rgb(250, 134, 1); */
}

.btn-register {
  background: linear-gradient(135deg, #fdba00ea, #f9d66f);
  border: none;
}

.btn-register:hover {
  background: linear-gradient(
    135deg,
    #f9d66f,
    #f3c035ea
  ); /* Lighter gradient */
  /* box-shadow: 0px 5px 10px rgba(253, 186, 0, 0.5); */
}

.grid-item {
  text-align: center;
  margin-bottom: 25px;
  transition: transform 0.3s ease-in-out;
  /* Smooth transform on hover */
}

.grid-item a {
  text-decoration: none;
  display: inline-block;
  transition: color 0.3s ease-in-out;
}

.grid-item i {
  font-size: 28px;
  color: #3f3d3e;
  margin-bottom: 5px;
  transition: color 0.3s ease-in-out;
}

.grid-item p {
  margin: 0;
  font-size: 14px;
  color: #585758;
  transition: color 0.3s ease-in-out;
}

.grid-item:hover {
  transform: scale(1.1);
  /* Slightly enlarges the whole item */
}

.grid-item:hover i {
  color: #2905c7;
  /* Changes icon color on hover */
}

.grid-item:hover p {
  color: #2905c7;
  /* Changes text color on hover */
}

footer {
  background-color: #f2f2f2;
  padding: 10px 20px;
  color: #666;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 1px solid #ddd;
  margin-top: 30px;
}

footer .social-icons a {
  color: #3f3d3e;
  margin-left: 10px;
  font-size: 18px;
}

footer .social-icons a:hover {
  color: #f19035;
}

.logo img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 1px solid #f7c388;
  transition: transform 0.3s ease-in-out;
  /* Smooth animation */
}

.logo img:hover {
  transform: scale(1.2) rotate(360deg);
  /* Animation on hover */
}

.logo {
  flex-shrink: 0;
  margin-right: 15px;
}

.text {
  display: flex;
  flex-direction: column;
  margin-top: -20px;
}

.text h2,
.text h4 {
  margin: 0;
}

.text h2 {
  font-size: 1.5em;
  color: rgb(43, 40, 40);
}

.text h4 {
  font-size: 0.8em;
  color: gray;
}

.container_logo {
  display: flex;
  align-items: center;
  padding: 1px;
  border-radius: 10px;
  margin-bottom: 20px;
}

.badge {
  position: absolute;
  top: -10px;
  right: 15px;
  padding: 5px 8px;
  border-radius: 50%;
  background-color: red;
  color: white;
}
